import { jsxs as c, jsx as n } from "react/jsx-runtime";
import { aL as l } from "./use-page-data.BYLN5MSa.js";
import { b as m } from "./use-section-style.CqWLdjop.js";
import { T as s } from "./TextContent.i83ueo1A.js";
import { a } from "./twind.Cg2g8xBZ.js";
import { B as x } from "./BrickRoot.CQgjTuOI.js";
import { u as f } from "./use-brick-props.C-zGB4NN.js";
function d(t) {
  return !t || t.trim().length === 0 || t.trim() === "<p></p>";
}
function B(t) {
  const { brick: e, editable: o, selected: i } = t, r = f(t), p = m(e);
  return /* @__PURE__ */ c(
    x,
    {
      brick: e,
      editable: o,
      manifest: l,
      className: a("flex-col gap-[1.5rem] flex-grow", Object.values(p)),
      children: [
        /* @__PURE__ */ n(
          s,
          {
            as: "h1",
            propPath: "content",
            brickId: e.id,
            content: r.content,
            rawContent: e.props.content,
            className: a("prose xl:prose-xl"),
            textSizeMode: "hero",
            editable: o,
            noTextType: !0
          }
        ),
        /* @__PURE__ */ n(
          s,
          {
            as: "p",
            propPath: "tagline",
            className: a(
              "tagline text-2xl font-bold text-balance",
              // When editing, hide tagline if empty but show it on hover
              o && d(r.tagline) && !i ? "opacity-0 hover:opacity-80" : "opacity-80"
            ),
            brickId: e.id,
            content: r.tagline,
            rawContent: e.props.tagline,
            editable: o
          }
        )
      ]
    }
  );
}
export {
  B as default
};
